function Hhat = transfer_from_params_local(f,A,fn,zeta,varargin)

w = 2*pi*f(:);

% residual terms
R0 = 0;
R1 = 0;

Hhat = R0 + 1i*w*R1;

for k=1:length(A)

    wn = 2*pi*fn(k);

    den = (wn^2 - w.^2) + 1i*(2*zeta(k)*wn).*w;

    Hhat = Hhat + A(k)*(w.^2)./den;

end